import { type ICalendarEventSourceSchema, type IMonth } from "@leight/calendar";
import { type PropsWithChildren } from "react";
import { type ICalendarShellProps } from "./CalendarShell";
export type IMonthsProps<TSourceSchema extends ICalendarEventSourceSchema = ICalendarEventSourceSchema> = PropsWithChildren<Omit<ICalendarShellProps<TSourceSchema>, "children" | "onClick"> & {
    onClick?(props: IIMonthsProps.IOnClickProps): void;
}>;
export declare namespace IIMonthsProps {
    interface IOnClickProps {
        month: IMonth;
    }
}
export declare const Months: <TSourceSchema extends import("@leight/source").ISourceSchema<import("zod").ZodObject<{
    id: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
}, {
    id: string;
}>, import("zod").ZodObject<{
    id: import("zod").ZodString;
    date: import("zod").ZodDate;
    prev: import("zod").ZodOptional<import("zod").ZodDate>;
    next: import("zod").ZodOptional<import("zod").ZodDate>;
}, "strip", import("zod").ZodTypeAny, {
    prev?: Date | undefined;
    next?: Date | undefined;
    date: Date;
    id: string;
}, {
    prev?: Date | undefined;
    next?: Date | undefined;
    date: Date;
    id: string;
}>, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>, import("@leight/source").IToPatchSchema, import("@leight/source").IPatchSchema, import("zod").ZodObject<{
    id: import("zod").ZodOptional<import("zod").ZodString>;
    ids: import("zod").ZodOptional<import("zod").ZodArray<import("zod").ZodString, "many">>;
    fulltext: import("zod").ZodOptional<import("zod").ZodString>;
    withRange: import("zod").ZodOptional<import("zod").ZodObject<{
        from: import("zod").ZodDate;
        to: import("zod").ZodDate;
    }, "strip", import("zod").ZodTypeAny, {
        from: Date;
        to: Date;
    }, {
        from: Date;
        to: Date;
    }>>;
}, "strip", import("zod").ZodTypeAny, {
    id?: string | undefined;
    ids?: string[] | undefined;
    fulltext?: string | undefined;
    withRange?: {
        from: Date;
        to: Date;
    } | undefined;
}, {
    id?: string | undefined;
    ids?: string[] | undefined;
    fulltext?: string | undefined;
    withRange?: {
        from: Date;
        to: Date;
    } | undefined;
}>, import("@leight/source").ISortSchema, import("@leight/source").IParamsSchema> = import("@leight/source").ISourceSchema<import("zod").ZodObject<{
    id: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
}, {
    id: string;
}>, import("zod").ZodObject<{
    id: import("zod").ZodString;
    date: import("zod").ZodDate;
    prev: import("zod").ZodOptional<import("zod").ZodDate>;
    next: import("zod").ZodOptional<import("zod").ZodDate>;
}, "strip", import("zod").ZodTypeAny, {
    prev?: Date | undefined;
    next?: Date | undefined;
    date: Date;
    id: string;
}, {
    prev?: Date | undefined;
    next?: Date | undefined;
    date: Date;
    id: string;
}>, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>, import("zod").ZodObject<{}, "strip", import("zod").ZodTypeAny, {}, {}>, import("@leight/source").IToPatchSchema, import("@leight/source").IPatchSchema, import("zod").ZodObject<{
    id: import("zod").ZodOptional<import("zod").ZodString>;
    ids: import("zod").ZodOptional<import("zod").ZodArray<import("zod").ZodString, "many">>;
    fulltext: import("zod").ZodOptional<import("zod").ZodString>;
    withRange: import("zod").ZodOptional<import("zod").ZodObject<{
        from: import("zod").ZodDate;
        to: import("zod").ZodDate;
    }, "strip", import("zod").ZodTypeAny, {
        from: Date;
        to: Date;
    }, {
        from: Date;
        to: Date;
    }>>;
}, "strip", import("zod").ZodTypeAny, {
    id?: string | undefined;
    ids?: string[] | undefined;
    fulltext?: string | undefined;
    withRange?: {
        from: Date;
        to: Date;
    } | undefined;
}, {
    id?: string | undefined;
    ids?: string[] | undefined;
    fulltext?: string | undefined;
    withRange?: {
        from: Date;
        to: Date;
    } | undefined;
}>, import("@leight/source").ISortSchema, import("@leight/source").IParamsSchema>>({ children, onClick, ...props }: IMonthsProps<TSourceSchema>) => import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=Months.d.ts.map